> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Arena

> Save the user message once for arena mode.

The frontend then calls POST /conversations/{id}/messages for each
model with skip_user_message=True to stream responses in parallel.



## OpenAPI

````yaml /openapi.json post /api/v1/allmodelchat/conversations/{conversation_id}/arena
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/allmodelchat/conversations/{conversation_id}/arena:
    post:
      tags:
        - AllModelChat
      summary: Start Arena
      description: |-
        Save the user message once for arena mode.

        The frontend then calls POST /conversations/{id}/messages for each
        model with skip_user_message=True to stream responses in parallel.
      operationId: >-
        start_arena_api_v1_allmodelchat_conversations__conversation_id__arena_post
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmcArenaRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmcArenaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AmcArenaRequest:
      properties:
        content:
          type: string
          title: Content
        model_ids:
          items:
            type: string
          type: array
          title: Model Ids
      type: object
      required:
        - content
        - model_ids
      title: AmcArenaRequest
    AmcArenaResponse:
      properties:
        user_message_id:
          type: string
          format: uuid
          title: User Message Id
        model_ids:
          items:
            type: string
          type: array
          title: Model Ids
      type: object
      required:
        - user_message_id
        - model_ids
      title: AmcArenaResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````